Tool: get_goldengate_deployment
Get details for a Goldengate Deployment in a Google Cloud project in the given location.
The following code sample shows how to use curl to call the get_goldengate_deployment MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_goldengate_deployment", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The request for GoldengateDeployment.Get.
GetGoldengateDeploymentRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the GoldengateDeployment in the following format: projects/{project}/locations/{location}/goldengateDeployments/{goldengate_deployment}. |
Output Schema
GoldengateDeployment Goldengate Deployment resource model.
GoldengateDeployment
| JSON representation |
|---|
{
"name": string,
"properties": {
object ( |
| Fields | |
|---|---|
name |
Identifier. The name of the GoldengateDeployment resource in the following format: projects/{project}/locations/{region}/goldengateDeployments/{goldengate_deployment} |
properties |
Required. Immutable. The properties of the GoldengateDeployment. |
gcpOracleZone |
Optional. Immutable. The GCP Oracle zone where Oracle GoldengateDeployment is hosted. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability. |
labels |
Optional. The labels or tags associated with the GoldengateDeployment. An object containing a list of |
odbNetwork |
Optional. Immutable. The name of the OdbNetwork associated with the GoldengateDeployment. |
odbSubnet |
Required. Immutable. The name of the OdbSubnet associated with the GoldengateDeployment for IP allocation. |
entitlementId |
Output only. The ID of the subscription entitlement associated with the GoldengateDeployment |
displayName |
Required. Immutable. The display name for the GoldengateDeployment. |
createTime |
Output only. The date and time that the GoldengateDeployment was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
ociUrl |
Output only. HTTPS link to OCI resources exposed to Customer via UI Interface. |
GoldengateDeploymentProperties
| JSON representation |
|---|
{ "ocid": string, "lifecycleState": enum ( |
| Fields | |
|---|---|
ocid |
Output only. OCID of the GoldengateDeployment. |
lifecycleState |
Output only. State of the GoldengateDeployment. |
licenseModel |
Optional. The Oracle license model that applies to a Deployment. |
environmentType |
Optional. The environment type of the GoldengateDeployment. |
cpuCoreCount |
Optional. The Minimum number of OCPUs to be made available for this Deployment. |
isAutoScalingEnabled |
Optional. Indicates if auto scaling is enabled for the Deployment's CPU core count. |
description |
Optional. The description of the GoldengateDeployment. |
deploymentType |
Required. A valid Goldengate Deployment type. For a list of supported types, use the |
oggData |
Required. The ogg data of the GoldengateDeployment. |
maintenanceWindow |
Optional. The maintenance window of the GoldengateDeployment. |
maintenanceConfig |
Optional. The maintenance configuration of the GoldengateDeployment. |
fqdn |
Output only. The Fully Qualified Domain Name of the GoldengateDeployment. |
lifecycleSubState |
Output only. The lifecycle sub-state of the GoldengateDeployment. |
category |
Output only. The category of the GoldengateDeployment. |
deploymentBackupId |
Output only. The deployment backup id of the GoldengateDeployment. |
updateTime |
Output only. The time the GoldengateDeployment was updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
lifecycleDetails |
Output only. The lifecycle details of the GoldengateDeployment. |
healthy |
Output only. Whether the GoldengateDeployment is healthy. |
loadBalancerSubnetId |
Output only. The load balancer subnet id of the GoldengateDeployment. |
loadBalancerId |
Output only. The load balancer id of the GoldengateDeployment. |
nsgIds[] |
Output only. The nsg ids of the GoldengateDeployment. |
isPublic |
Output only. Whether the GoldengateDeployment is public. |
publicIpAddress |
Output only. The public ip address of the GoldengateDeployment. |
privateIpAddress |
Output only. The private ip address of the GoldengateDeployment. |
deploymentUrl |
Output only. The deployment url of the GoldengateDeployment. |
isLatestVersion |
Output only. Whether the GoldengateDeployment is of the latest version. |
upgradeRequiredTime |
Output only. The time upgrade required of the GoldengateDeployment. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
storageUtilizationBytes |
Output only. The storage utilization in bytes of the GoldengateDeployment. |
isStorageUtilizationLimitExceeded |
Output only. Whether storage utilization limit is exceeded of the GoldengateDeployment. |
deploymentDiagnosticData |
Output only. The deployment diagnostic data of the GoldengateDeployment. |
backupSchedule |
Output only. The backup schedule of the GoldengateDeployment. |
nextMaintenanceTime |
Output only. The time of next maintenance of the GoldengateDeployment. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
nextMaintenanceActionType |
Output only. The next maintenance action type of the GoldengateDeployment. |
nextMaintenanceDescription |
Output only. The next maintenance description of the GoldengateDeployment. |
oggVersionSupportEndTime |
Output only. The time ogg version supported until of the GoldengateDeployment. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
ingressIps[] |
Output only. The ingress ips of the GoldengateDeployment. |
deploymentRole |
Output only. The deployment role of the GoldengateDeployment. |
lastBackupScheduleTime |
Output only. The time last backup scheduled of the GoldengateDeployment. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
nextBackupScheduleTime |
Output only. The time next backup scheduled of the GoldengateDeployment. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
roleChangeTime |
Output only. The time when the role of the GoldengateDeployment was changed. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
locks[] |
Output only. The locks of the GoldengateDeployment. |
placements[] |
Output only. The placements of the GoldengateDeployment. |
GoldengateOggDeployment
| JSON representation |
|---|
{ "deployment": string, "adminUsername": string, "oggVersion": string, "certificate": string, "credentialStore": enum ( |
| Fields | |
|---|---|
deployment |
Required. The name given to the Goldengate service deployment. The name must be 1 to 32 characters long, must contain only alphanumeric characters and must start with a letter. |
adminUsername |
Required. The Goldengate deployment console username. |
oggVersion |
Optional. Version of OGG |
certificate |
Output only. The certificate of the GoldengateDeployment. |
credentialStore |
Output only. The credential store of the GoldengateDeployment. |
identityDomainId |
Output only. The identity domain id of the GoldengateDeployment. |
passwordSecretId |
Output only. The password secret id of the GoldengateDeployment. |
groupRolesMapping |
Output only. The group to roles mapping of the GoldengateDeployment. |
Union field deployment_password_options. The Goldengate deployment console password. deployment_password_options can be only one of the following: |
|
adminPassword |
Optional. Input only. The Goldengate deployment console password in plain text. |
adminPasswordSecretVersion |
Optional. Input only. The Goldengate deployment console password secret version. |
GoldengateGroupToRolesMapping
| JSON representation |
|---|
{ "securityGroupId": string, "administratorGroupId": string, "operatorGroupId": string, "userGroupId": string } |
| Fields | |
|---|---|
securityGroupId |
Output only. The security group id. |
administratorGroupId |
Output only. The administrator group id. |
operatorGroupId |
Output only. The operator group id. |
userGroupId |
Output only. The user group id. |
GoldengateMaintenanceWindow
| JSON representation |
|---|
{
"day": enum ( |
| Fields | |
|---|---|
day |
Required. Days of the week. |
startHour |
Required. Start hour for maintenance period. Hour is in UTC. |
GoldengateMaintenanceConfig
| JSON representation |
|---|
{ "isInterimReleaseAutoUpgradeEnabled": boolean, "interimReleaseUpgradePeriodDays": integer, "bundleReleaseUpgradePeriodDays": integer, "majorReleaseUpgradePeriodDays": integer, "securityPatchUpgradePeriodDays": integer } |
| Fields | |
|---|---|
isInterimReleaseAutoUpgradeEnabled |
Optional. By default auto upgrade for interim releases are not enabled. If auto-upgrade is enabled for interim release, you have to specify interim_release_upgrade_period_days too. |
interimReleaseUpgradePeriodDays |
Optional. Defines auto upgrade period for interim releases. This period must be shorter or equal to bundle release upgrade period. |
bundleReleaseUpgradePeriodDays |
Optional. Defines auto upgrade period for bundle releases. Manually configured period cannot be longer than service defined period for bundle releases. This period must be shorter or equal to major release upgrade period. Not passing this field during create will equate to using the service default. |
majorReleaseUpgradePeriodDays |
Optional. Defines auto upgrade period for major releases. Manually configured period cannot be longer than service defined period for major releases. Not passing this field during create will equate to using the service default. |
securityPatchUpgradePeriodDays |
Optional. Defines auto upgrade period for releases with security fix. Manually configured period cannot be longer than service defined period for security releases. Not passing this field during create will equate to using the service default. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
DeploymentDiagnosticData
| JSON representation |
|---|
{
"namespace": string,
"bucket": string,
"object": string,
"diagnosticState": enum ( |
| Fields | |
|---|---|
namespace |
Output only. The namespace name. |
bucket |
Output only. The bucket name. |
object |
Output only. The object name. |
diagnosticState |
Output only. The diagnostic state. |
diagnosticStartTime |
Output only. The time diagnostic start. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
diagnosticEndTime |
Output only. The time diagnostic end. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
GoldengateBackupSchedule
| JSON representation |
|---|
{
"bucket": string,
"compartmentId": string,
"frequencyBackupScheduled": enum ( |
| Fields | |
|---|---|
bucket |
Output only. The bucket name. |
compartmentId |
Output only. The compartment id. |
frequencyBackupScheduled |
Output only. The frequency backup scheduled. |
metadataOnly |
Output only. If metadata only. |
namespace |
Output only. The namespace name. |
backupScheduledTime |
Output only. The timestamp of when the backup was scheduled. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
IngressIp
| JSON representation |
|---|
{ "ingressIpAddress": string } |
| Fields | |
|---|---|
ingressIpAddress |
Output only. The ingress IP. |
GoldengateDeploymentLock
| JSON representation |
|---|
{
"type": enum ( |
| Fields | |
|---|---|
type |
Output only. The type of lock. |
compartmentId |
Output only. The compartment id. |
relatedResourceId |
Output only. The related resource id. |
message |
Output only. The message. |
createTime |
Output only. The time created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
GoldengatePlacement
| JSON representation |
|---|
{ "availabilityDomain": string, "faultDomain": string } |
| Fields | |
|---|---|
availabilityDomain |
Output only. The availability domain. |
faultDomain |
Output only. The fault domain. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
GoldengateDeploymentLifecycleState
The various lifecycle states of the GoldengateDeployment.
| Enums | |
|---|---|
GOLDENGATE_DEPLOYMENT_LIFECYCLE_STATE_UNSPECIFIED |
Default unspecified value. |
CREATING |
The deployment is being created. |
UPDATING |
The deployment is being updated. |
ACTIVE |
The deployment is active. |
INACTIVE |
The deployment is inactive. |
DELETING |
The deployment is being deleted. |
DELETED |
The deployment is deleted. |
FAILED |
The deployment failed. |
NEEDS_ATTENTION |
The deployment needs attention. |
IN_PROGRESS |
The deployment is in progress. |
CANCELLING |
The deployment is canceling. |
CANCELLED |
The deployment is canceled. |
SUCCEEDED |
The deployment succeeded. |
WAITING |
The deployment is waiting. |
LicenseModel
The license model of the GoldengateDeployment.
| Enums | |
|---|---|
LICENSE_MODEL_UNSPECIFIED |
The license model is unspecified. |
LICENSE_INCLUDED |
The license model is included. |
BRING_YOUR_OWN_LICENSE |
The license model is bring your own license. |
CredentialStore
The credential store of the GoldengateDeployment.
| Enums | |
|---|---|
CREDENTIAL_STORE_UNSPECIFIED |
The credential store is unspecified. |
GOLDENGATE |
The credential store is Goldengate. |
IAM |
The credential store is IAM. |
DayOfWeek
Represents a day of the week.
| Enums | |
|---|---|
DAY_OF_WEEK_UNSPECIFIED |
The day of the week is unspecified. |
MONDAY |
Monday |
TUESDAY |
Tuesday |
WEDNESDAY |
Wednesday |
THURSDAY |
Thursday |
FRIDAY |
Friday |
SATURDAY |
Saturday |
SUNDAY |
Sunday |
GoldengateDeploymentLifecycleSubState
The various lifecycle sub-states of the GoldengateDeployment.
| Enums | |
|---|---|
GOLDENGATE_DEPLOYMENT_LIFECYCLE_SUB_STATE_UNSPECIFIED |
The lifecycle sub-state is unspecified. |
RECOVERING |
The deployment is recovering. |
STARTING |
The deployment is starting. |
STOPPING |
The deployment is stopping. |
MOVING |
The deployment is moving. |
UPGRADING |
The deployment is upgrading. |
RESTORING |
The deployment is restoring. |
BACKING_UP |
The deployment is backing up. |
ROLLING_BACK |
The deployment is rolling back. |
GoldengateDeploymentCategory
The category of the GoldengateDeployment.
| Enums | |
|---|---|
GOLDENGATE_DEPLOYMENT_CATEGORY_UNSPECIFIED |
The category is unspecified. |
DATA_REPLICATION |
The deployment is data replication. |
DATA_TRANSFORMS |
The deployment is data transforms. |
DiagnosticState
The possible states of the diagnostic data.
| Enums | |
|---|---|
DIAGNOSTIC_STATE_UNSPECIFIED |
The diagnostic state is unspecified. |
IN_PROGRESS |
The diagnostic is in progress. |
SUCCEEDED |
The diagnostic completed successfully. |
FAILED |
The diagnostic failed. |
FrequencyBackupScheduled
Enum for frequency backup scheduled.
| Enums | |
|---|---|
FREQUENCY_BACKUP_SCHEDULED_UNSPECIFIED |
The frequency backup scheduled is unspecified. |
DAILY |
The frequency backup scheduled is daily. |
WEEKLY |
The frequency backup scheduled is weekly. |
MONTHLY |
The frequency backup scheduled is monthly. |
NextMaintenanceActionType
The various next maintenance action types of the GoldengateDeployment.
| Enums | |
|---|---|
NEXT_MAINTENANCE_ACTION_TYPE_UNSPECIFIED |
The next maintenance action type is unspecified. |
UPGRADE |
The next maintenance action type is upgrade. |
GoldengateDeploymentRoleType
The deployment role type of the GoldengateDeployment.
| Enums | |
|---|---|
GOLDENGATE_DEPLOYMENT_ROLE_TYPE_UNSPECIFIED |
The deployment role type is unspecified. |
PRIMARY |
The deployment role type is primary. |
STANDBY |
The deployment role type is standby. |
LockType
The type of lock.
| Enums | |
|---|---|
LOCK_TYPE_UNSPECIFIED |
The lock type is unspecified. |
FULL |
The lock type is full. |
DELETE |
The lock type is delete. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌